Image Outpaint
ਇੰਟੀਗ੍ਰੇਟ ਕਰੋ
image-apps-v2/outpaint
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/image-apps-v2/outpaint?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.ru/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/image-apps-v2/outpaint?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.ru/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/image-apps-v2/outpaint", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/pa/developers/docs/mcp)
claude mcp add --transport http doitong-models https://api.doitong.ru/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "image-apps-v2/outpaint",
"input": {
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}
}
Doitong API ਰਾਹੀਂ Image Outpaint ਮਾਡਲ (image-apps-v2/outpaint) ਨੂੰ ਕਾਲ ਕਰੋ। ਏਜੰਟਾਂ ਲਈ ਦਸਤਾਵੇਜ਼: https://doitong.com/pa/developers/models/image-apps-v2/outpaint.md
POST https://api.doitong.ru/v1/run/image-apps-v2/outpaint?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}
ਜੇ ਜਵਾਬ ਦੀ ਸਥਿਤੀ "queued" ਜਾਂ "running" ਹੈ, ਤਾਂ GET https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20 ਨੂੰ ਉਦੋਂ ਤੱਕ ਪੋਲ ਕਰੋ ਜਦੋਂ ਤੱਕ ਇਹ "succeeded" ਨਾ ਹੋ ਜਾਵੇ; ਫ਼ਾਈਲਾਂ outputs[].url ਵਿੱਚ ਹਨ। ਉਸੇ ਬਾਡੀ ਨਾਲ POST https://api.doitong.ru/v1/quote/image-apps-v2/outpaint ਚਲਾਉਣ ’ਤੇ ਰਨ ਤੋਂ ਪਹਿਲਾਂ ਸਹੀ ਕੀਮਤ ਮਿਲ ਜਾਂਦੀ ਹੈ।
ਇਹ ਬੇਨਤੀ: ≈$0.07 70 API ਕ੍ਰੈਡਿਟ · ≈ ₽7.33 ਇਸ ਪੰਨੇ ’ਤੇ ਚਲਾਓ
ਤੁਹਾਡੀ ਨਵੀਂ API ਕੁੰਜੀ। ਇਹ ਸਿਰਫ਼ ਹੁਣ ਦਿਖਾਈ ਜਾਂਦੀ ਹੈ ਅਤੇ ਪਹਿਲਾਂ ਹੀ ਕੋਡ ਅਤੇ ਹੇਠਾਂ ਦਿੱਤੇ API ਕੁੰਜੀ ਖੇਤਰ ਵਿੱਚ ਮੌਜੂਦ ਹੈ। ਇਸਨੂੰ ਗੁਪਤ ਰੱਖੋ: ਇਸਨੂੰ ਕਦੇ ਵੀ ਬ੍ਰਾਊਜ਼ਰ ਵਿੱਚ ਚੱਲਣ ਵਾਲੇ ਕੋਡ ਵਿੱਚ ਨਾ ਰੱਖੋ।
ਤੁਹਾਡਾ ਪਹਿਲਾ ਨਤੀਜਾ ਇੱਥੇ ਹੋਵੇਗਾ
ਹੇਠਾਂ ਬੇਨਤੀ ਬਣਾਓ ਅਤੇ ਆਪਣੀ API ਕੁੰਜੀ ਨਾਲ ਚਲਾਓ। ਆਉਟਪੁੱਟ ਸਾਡੇ ਸਟੋਰੇਜ ਵਿੱਚ ਕਾਪੀ ਕੀਤੇ ਜਾਂਦੇ ਹਨ ਅਤੇ ਹਮੇਸ਼ਾ ਲਈ ਜਾਂ ਮੁਫ਼ਤ ਵਿੱਚ 7 ਦਿਨ ਤੱਕ ਰੱਖੇ ਜਾਂਦੇ ਹਨ।
ਰਿਕਵੈਸਟ ਬਣਾਓ
ਕੰਟਰੋਲ ਮਾਡਲ ਸਕੀਮਾ ਤੋਂ ਤਿਆਰ ਹੁੰਦੇ ਹਨ। ਤੁਸੀਂ ਬਦਲਾਅ ਕਰਦੇ ਹੀ ਕੋਡ ਅਤੇ ਕੀਮਤ ਅੱਪਡੇਟ ਹੋ ਜਾਂਦੇ ਹਨ।
/run/image-apps-v2/outpaint?wait=20
ਕੋਟ → $0.07
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/image-apps-v2/outpaint?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.ru/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/image-apps-v2/outpaint?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.ru/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/image-apps-v2/outpaint", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "image-apps-v2/outpaint",
"input": {
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
},
"wait_seconds": 20
}
}
}
ਇਹ ਬੇਨਤੀ ਚਲਾਓ
ਤੁਹਾਡੀ key ਇਸ ਬ੍ਰਾਊਜ਼ਰ ਵਿੱਚ ਰਹਿੰਦੀ ਹੈ: ਇਹ ਸਿਰਫ਼ Doitong API ਨੂੰ ਭੇਜੀ ਜਾਂਦੀ ਹੈ ਅਤੇ ਸਿਰਫ਼ ਤਾਂ ਹੀ (localStorage) ਵਿੱਚ ਸੁਰੱਖਿਅਤ ਹੁੰਦੀ ਹੈ ਜੇ ਤੁਸੀਂ Remember ਚੁਣੋ। API ਕੁੰਜੀ ਪ੍ਰਾਪਤ ਕਰੋ
Image Outpaint ਬਾਰੇ
`expand_left`, `expand_right`, `expand_top` ਅਤੇ `expand_bottom` ਸੈੱਟ ਕਰਕੇ `image_url` ਤੋਂ ਸਰੋਤ ਤਸਵੀਰ ਨੂੰ ਵਧਾਉਂਦਾ ਹੈ, ਜਿਨ੍ਹਾਂ ਵਿੱਚੋਂ ਹਰ ਇੱਕ 0 ਤੋਂ 700 ਪਿਕਸਲ ਤੱਕ ਹੋ ਸਕਦਾ ਹੈ। ਸਿਰਫ਼ ਜੋੜੇ ਗਏ ਹਾਸ਼ੀਏ ਭਰੇ ਜਾਂਦੇ ਹਨ। `zoom_out_percentage` (0 ਤੋਂ 90, ਡਿਫ਼ਾਲਟ 20) ਪਹਿਲਾਂ ਫ੍ਰੇਮ ਦੇ ਅੰਦਰ ਮੂਲ ਤਸਵੀਰ ਨੂੰ ਛੋਟਾ ਕਰਦਾ ਹੈ, ਅਤੇ ਵੱਧ ਤੋਂ ਵੱਧ 500 ਅੱਖਰਾਂ ਦਾ ਵਿਕਲਪਿਕ `prompt` ਨਵੀਂ ਸਮੱਗਰੀ ਨੂੰ ਮਾਰਗਦਰਸ਼ਿਤ ਕਰਦਾ ਹੈ। ਇਹ png, jpeg, jpg ਜਾਂ webp ਵਿੱਚ 1 ਤੋਂ 4 ਤਸਵੀਰਾਂ ਵਾਪਸ ਕਰਦਾ ਹੈ।
ਪੈਰਾਮੀਟਰ
ਕੈਨੋਨਿਕਲ ਨਾਮ ਜਾਂ ਨੇਟਿਵ ਨਾਮ ਵਿੱਚੋਂ ਕੋਈ ਇੱਕ ਭੇਜੋ, ਦੋਵੇਂ ਨਹੀਂ। ਕੈਨੋਨਿਕਲ ਨਾਮ
image_urlਲੋੜੀਂਦਾ
image
expand_leftਵਿਕਲਪਿਕ
expand_rightਵਿਕਲਪਿਕ
expand_topਵਿਕਲਪਿਕ
expand_bottomਵਿਕਲਪਿਕ
zoom_out_percentageਵਿਕਲਪਿਕ
promptਵਿਕਲਪਿਕ
seedਵਿਕਲਪਿਕ
num_imagesਵਿਕਲਪਿਕ
num_outputs
enable_safety_checkerਵਿਕਲਪਿਕ
output_formatਵਿਕਲਪਿਕ
ਫ਼ਾਈਲ ਪੈਰਾਮੀਟਰ ਜਨਤਕ https:// URL, 10 MB ਤੱਕ ਦਾ data: URI, ਜਾਂ ਅੱਪਲੋਡ ਦੇ file_url ਨੂੰ ਸਵੀਕਾਰਦੇ ਹਨ। ਫ਼ਾਈਲਾਂ
ਆਉਟਪੁੱਟ
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "image-apps-v2/outpaint",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 70,
"usd": "0.07",
"charged": 70,
"refunded": 0
},
"input": {
"image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
},
"output": {
"images": [
{
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200,
"width": 1024,
"height": 768
}
],
"seed": 42
},
"outputs": [
{
"type": "image",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_size": 1843200,
"width": 1024,
"height": 768,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
ਆਉਟਪੁੱਟ ਦੇ ਫ਼ੀਲਡ
- images
- array of object {url, content_type, file_name, file_size, width, height}outpainting ਰਾਹੀਂ ਵਧਾਇਆ ਗਿਆ ਦ੍ਰਿਸ਼ ਦਿਖਾਉਂਦਾ ਚਿੱਤਰ।
- seed
- integerਸਿਰਜਣਾ ਦੌਰਾਨ ਲਾਗੂ ਕੀਤਾ ਗਿਆ ਸੀਡ ਮੁੱਲ।
ਹੋਰ Image Apps v2 ਵੈਰੀਐਂਟ
ਹੋਰ ਮਾਡਲ: ਚਿੱਤਰ ਸੰਪਾਦਨ
AI ਏਜੰਟਾਂ ਲਈ: ਇਹ ਪੰਨਾ Markdown ਵਜੋਂ ਇੱਥੇ ਹੈ https://doitong.com/pa/developers/models/image-apps-v2/outpaint.md. ਸਾਰੇ ਮਾਡਲ ਅਤੇ ਗਾਈਡ: https://doitong.com/developers/llms.txt






